Knowledgebase
Knowledgebase > General > Compatibility > General OS Compatibility

General OS Compatibility

Spectrasonics supports the most current operating systems as well as the previous two on both Macintosh and Windows. Although our products may work on older operating systems, we do not officially support anything older than the three most recent operating systems. For specifics please consult the system requiremnts page for each product below.

KeyscapeOmnisphere, Trilian, and Stylus RMX.

*Windows XP and Snow Leopard are not supported.

 


< back to topics